/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { AnnotationLayerDescription } from "./AnnotationLayerDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let CrosshairLayerDescription = /*@__PURE__*/ (() => {
    class CrosshairLayerDescription extends AnnotationLayerDescription {
        get_type() {
            return "CrosshairLayer";
        }
        constructor() {
            super();
            this.hb = null;
            this.hf = null;
            this.hd = null;
            this.he = null;
            this.gf = false;
            this.gd = false;
            this.hk = null;
            this.hh = null;
            this.gj = 0;
            this.g7 = 0;
            this.hj = null;
            this.gl = 0;
            this.gn = 0;
            this.gm = 0;
            this.gk = 0;
            this.gr = 0;
            this.gt = 0;
            this.gs = 0;
            this.gq = 0;
            this.go = 0;
            this.ho = null;
            this.hl = null;
            this.gp = 0;
            this.g8 = 0;
            this.hn = null;
            this.gu = 0;
            this.hg = null;
            this.hc = null;
            this.ge = false;
            this.hi = null;
            this.hm = null;
        }
        get horizontalLineStroke() {
            return this.hb;
        }
        set horizontalLineStroke(a) {
            this.hb = a;
            this.g("HorizontalLineStroke");
        }
        get verticalLineStroke() {
            return this.hf;
        }
        set verticalLineStroke(a) {
            this.hf = a;
            this.g("VerticalLineStroke");
        }
        get targetSeriesName() {
            return this.hd;
        }
        set targetSeriesName(a) {
            this.hd = a;
            this.g("TargetSeriesName");
        }
        get targetSeriesRef() {
            return this.he;
        }
        set targetSeriesRef(a) {
            this.he = a;
            this.g("TargetSeriesRef");
        }
        get useInterpolation() {
            return this.gf;
        }
        set useInterpolation(a) {
            this.gf = a;
            this.g("UseInterpolation");
        }
        get isAxisAnnotationEnabled() {
            return this.gd;
        }
        set isAxisAnnotationEnabled(a) {
            this.gd = a;
            this.g("IsAxisAnnotationEnabled");
        }
        get xAxisAnnotationTextColor() {
            return this.hk;
        }
        set xAxisAnnotationTextColor(a) {
            this.hk = a;
            this.g("XAxisAnnotationTextColor");
        }
        get xAxisAnnotationBackground() {
            return this.hh;
        }
        set xAxisAnnotationBackground(a) {
            this.hh = a;
            this.g("XAxisAnnotationBackground");
        }
        get xAxisAnnotationBackgroundCornerRadius() {
            return this.gj;
        }
        set xAxisAnnotationBackgroundCornerRadius(a) {
            this.gj = a;
            this.g("XAxisAnnotationBackgroundCornerRadius");
        }
        get xAxisAnnotationInterpolatedValuePrecision() {
            return this.g7;
        }
        set xAxisAnnotationInterpolatedValuePrecision(a) {
            this.g7 = a;
            this.g("XAxisAnnotationInterpolatedValuePrecision");
        }
        get xAxisAnnotationOutline() {
            return this.hj;
        }
        set xAxisAnnotationOutline(a) {
            this.hj = a;
            this.g("XAxisAnnotationOutline");
        }
        get xAxisAnnotationPaddingLeft() {
            return this.gl;
        }
        set xAxisAnnotationPaddingLeft(a) {
            this.gl = a;
            this.g("XAxisAnnotationPaddingLeft");
        }
        get xAxisAnnotationPaddingTop() {
            return this.gn;
        }
        set xAxisAnnotationPaddingTop(a) {
            this.gn = a;
            this.g("XAxisAnnotationPaddingTop");
        }
        get xAxisAnnotationPaddingRight() {
            return this.gm;
        }
        set xAxisAnnotationPaddingRight(a) {
            this.gm = a;
            this.g("XAxisAnnotationPaddingRight");
        }
        get xAxisAnnotationPaddingBottom() {
            return this.gk;
        }
        set xAxisAnnotationPaddingBottom(a) {
            this.gk = a;
            this.g("XAxisAnnotationPaddingBottom");
        }
        get yAxisAnnotationPaddingLeft() {
            return this.gr;
        }
        set yAxisAnnotationPaddingLeft(a) {
            this.gr = a;
            this.g("YAxisAnnotationPaddingLeft");
        }
        get yAxisAnnotationPaddingTop() {
            return this.gt;
        }
        set yAxisAnnotationPaddingTop(a) {
            this.gt = a;
            this.g("YAxisAnnotationPaddingTop");
        }
        get yAxisAnnotationPaddingRight() {
            return this.gs;
        }
        set yAxisAnnotationPaddingRight(a) {
            this.gs = a;
            this.g("YAxisAnnotationPaddingRight");
        }
        get yAxisAnnotationPaddingBottom() {
            return this.gq;
        }
        set yAxisAnnotationPaddingBottom(a) {
            this.gq = a;
            this.g("YAxisAnnotationPaddingBottom");
        }
        get xAxisAnnotationStrokeThickness() {
            return this.go;
        }
        set xAxisAnnotationStrokeThickness(a) {
            this.go = a;
            this.g("XAxisAnnotationStrokeThickness");
        }
        get yAxisAnnotationTextColor() {
            return this.ho;
        }
        set yAxisAnnotationTextColor(a) {
            this.ho = a;
            this.g("YAxisAnnotationTextColor");
        }
        get yAxisAnnotationBackground() {
            return this.hl;
        }
        set yAxisAnnotationBackground(a) {
            this.hl = a;
            this.g("YAxisAnnotationBackground");
        }
        get yAxisAnnotationBackgroundCornerRadius() {
            return this.gp;
        }
        set yAxisAnnotationBackgroundCornerRadius(a) {
            this.gp = a;
            this.g("YAxisAnnotationBackgroundCornerRadius");
        }
        get yAxisAnnotationInterpolatedValuePrecision() {
            return this.g8;
        }
        set yAxisAnnotationInterpolatedValuePrecision(a) {
            this.g8 = a;
            this.g("YAxisAnnotationInterpolatedValuePrecision");
        }
        get yAxisAnnotationOutline() {
            return this.hn;
        }
        set yAxisAnnotationOutline(a) {
            this.hn = a;
            this.g("YAxisAnnotationOutline");
        }
        get yAxisAnnotationStrokeThickness() {
            return this.gu;
        }
        set yAxisAnnotationStrokeThickness(a) {
            this.gu = a;
            this.g("YAxisAnnotationStrokeThickness");
        }
        get verticalLineVisibility() {
            return this.hg;
        }
        set verticalLineVisibility(a) {
            this.hg = a;
            this.g("VerticalLineVisibility");
        }
        get horizontalLineVisibility() {
            return this.hc;
        }
        set horizontalLineVisibility(a) {
            this.hc = a;
            this.g("HorizontalLineVisibility");
        }
        get skipUnknownValues() {
            return this.ge;
        }
        set skipUnknownValues(a) {
            this.ge = a;
            this.g("SkipUnknownValues");
        }
        get xAxisAnnotationFormatLabelRef() {
            return this.hi;
        }
        set xAxisAnnotationFormatLabelRef(a) {
            this.hi = a;
            this.g("XAxisAnnotationFormatLabelRef");
        }
        get yAxisAnnotationFormatLabelRef() {
            return this.hm;
        }
        set yAxisAnnotationFormatLabelRef(a) {
            this.hm = a;
            this.g("YAxisAnnotationFormatLabelRef");
        }
    }
    CrosshairLayerDescription.$t = /*@__PURE__*/ markType(CrosshairLayerDescription, 'CrosshairLayerDescription', AnnotationLayerDescription.$);
    return CrosshairLayerDescription;
})();
